## org.codehaus.groovy.classgen
Class BytecodeExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.expr.Expression
              org.codehaus.groovy.classgen.BytecodeExpression

    public abstract class BytecodeExpression

extends Expression

Represents some custom bytecode generation by the compiler

Version:
  $Revision: 10617 $
Author:
  James Strachan

Field Summary
`static BytecodeExpression` `NOP`

Constructor Summary
`BytecodeExpression()`

Method Summary
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`abstract void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.expr.Expression
`getType, setType, transformExpressions`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOP

    public static BytecodeExpression NOP

Constructor Detail

### BytecodeExpression

    public BytecodeExpression()

Method Detail

### visit

    public abstract void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

  Description copied from class: `Expression`
  Return a copy of the expression calling the transformer on any nested expressions

  Specified by:
    `transformExpression` in class `Expression`

Copyright © 2003-2008 The Codehaus. All rights reserved.